<?
/********************************************************
Defaults:
1 - Yes/On/True
0 - No/Off/False

********************************************************
_ Please attention _:
The temporary files will be stored on this folder
For security reasons, do not use web-shared folders

** The Web Server needs write-permission on this folder

* Unix/Linux users use.
/tmp/uebimiau
* Win32 users
c:/winnt/temp/uebimiau
** Note: Under Win32, use "right bars";
********************************************************/
$temporary_directory = "temporary_files/";

/********************************************************
Your local SMTP Server (alias or IP) like as "smtp.yourdomain.com"
eg. "server1;server2;server3"   -> specify main and backup server
********************************************************/
$smtp_server = "localhost;YOUR.SMTPSERVER.COM";  //YOU NEED CHANGE IT !! 


/********************************************************
The maximum size for stored files
In order to keep you system fast, use values better 5MB
********************************************************/
$quota_limit = 4096;  //in KB, eg. 2048 Kb = 2MB


/********************************************************
Use SMTP password (AUTH LOGIN type)
********************************************************/
$use_password_for_smtp = 0;

/********************************************************
For qmail and others POP3/SMTP servers that uses user@domain
as username (full email address).
$use_email_as_user_pop3 is used only for POP3 authentications
$use_email_as_user_smtp is used only for SMTP authentications
********************************************************/
$use_email_as_user_pop3 = 0;
$use_email_as_user_smtp = 0;



/********************************************************
Your local POP3 Servers, ____ OPTIONAL ___
********************************************************/
// 1st
//$pop3_servers[0]["domain"] = "";
//$pop3_servers[0]["server"] = "";

// 2nd

//$pop3_servers[1]["domain"] = "";
//$pop3_servers[1]["server"] = "";

// Nnd
//$pop3_servers[2]["domain"] = "";
//$pop3_servers[2]["server"] = "";


/********************************************************
Language settings
********************************************************/
$default_language     = 1;
$allow_user_change    = 1; // ⺻  ϴ κ

$languages[0]["name"] = "Portugus Brasileiro";
$languages[0]["path"] = "themes/pt-brasil"; // without "/"

$languages[1]["name"] = "Korea";
$languages[1]["path"] = "themes/korea";

$languages[2]["name"] = "English";
$languages[2]["path"] = "themes/english";

$languages[3]["name"] = "Espanl";
$languages[3]["path"] = "themes/spanish";

$languages[4]["name"] = "Polski";
$languages[4]["path"] = "themes/polski";

$languages[5]["name"] = "German";
$languages[5]["path"] = "themes/german";

/********************************************************
Date format for non-portuguese systems
********************************************************/
$date_format = "y/m/d h:m"; // d = day, m = month, y = year, h = hour, m = minutes


/********************************************************
Support for SendMail (DEFAULT DISABLED (using SMTP))
Only for *nix Systems (NOT Win32)
********************************************************/
$use_sendmail     = 0;
$path_to_sendmail = "/usr/sbin/sendmail";


/********************************************************
In some POP3 servers, if you send a "RETR" command, your
message will be automatically deleted :(
This option prevents this inconvenience
********************************************************/
$pop_use_top = 1;

/********************************************************
Enable HTML messages (recommended)
********************************************************/
$mime_show_html = 1;

/********************************************************
Name and Version, it's used in many places, like as 
"X-Mailer" field,  footer
********************************************************/
$appversion = "2.1";
$appname = "UebiMiau";


/********************************************************
Add an "footer" to sent mails
********************************************************/

$footer = "
 
________________________________________________
This mail was sent by $appname $appversion
";

/********************************************************
Enable debug :)
********************************************************/
$enable_debug = 0;

/********************************************************
Session timeout for inactivity
********************************************************/
$idle_timeout = 20; //minutes() ⺻ 10  Ǿ 

/********************************************************
Order setting
********************************************************/
$default_sortby = "date";
$default_sortorder = "DESC";

/********************************************************
Default preferences...
********************************************************/
$send_to_trash_default = 1;      //send deleted messages to trash
$st_only_ready_default = 1;      //only read messages, otherwise, delete it
$save_to_sent_default  = 1;      //send sent messages to sent
$empty_trash_default   = 1;      //empty trash on logout
$sortby_default        = "date"; //alowed: "attach","subject","fromname","date","size"
$sortorder_default     = "DESC"; //alowed: "ASC","DESC"
$rpp_default           = 10;     // records per page (messages), alowed: 10,20,30,40,50
$add_signature_default = 0;      //add the signature by default
$signature_default     = "";     // an default signature for all users
?>
